curl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-flows/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flowId": "flow_abc123",
"data": {
"strategy": "cascade",
"threeDsEnabled": true,
"fallbackProcessorConfigs": [
{
"processorId": "proc_checkout",
"orderIndex": 0
}
]
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Update an existing payment flow. All fields in data are optional except fallbackProcessorConfigs. Requires org:admin role.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-flows/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flowId": "flow_abc123",
"data": {
"strategy": "cascade",
"threeDsEnabled": true,
"fallbackProcessorConfigs": [
{
"processorId": "proc_checkout",
"orderIndex": 0
}
]
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}